Package com.smartgwt.client.widgets.form

# Class FilterClause

java.lang.Object
com.google.gwt.user.client.ui.UIObject
com.google.gwt.user.client.ui.Widget
com.smartgwt.client.widgets.BaseWidget
com.smartgwt.client.widgets.Canvas
com.smartgwt.client.widgets.layout.Layout
com.smartgwt.client.widgets.layout.HStack
com.smartgwt.client.widgets.form.FilterClause

All Implemented Interfaces:
  `HasAttachHandlers`, `HasHandlers`, `EventListener`, `HasVisibility`, `IsWidget`, `LogicalStructure`, `HasClearHandlers`, `HasClickHandlers`, `HasDoubleClickHandlers`, `HasDragMoveHandlers`, `HasDragRepositionMoveHandlers`, `HasDragRepositionStartHandlers`, `HasDragRepositionStopHandlers`, `HasDragResizeMoveHandlers`, `HasDragResizeStartHandlers`, `HasDragResizeStopHandlers`, `HasDragStartHandlers`, `HasDragStopHandlers`, `HasDropHandlers`, `HasDropMoveHandlers`, `HasDropOutHandlers`, `HasDropOverHandlers`, `HasFocusChangedHandlers`, `HasHoverHandlers`, `HasHoverHiddenHandlers`, `HasKeyDownHandlers`, `HasKeyPressHandlers`, `HasMouseDownHandlers`, `HasMouseMoveHandlers`, `HasMouseOutHandlers`, `HasMouseOverHandlers`, `HasMouseStillDownHandlers`, `HasMouseUpHandlers`, `HasMouseWheelHandlers`, `HasMovedHandlers`, `HasParentMovedHandlers`, `HasResizedHandlers`, `HasRightMouseDownHandlers`, `HasRuleContextChangedHandlers`, `HasScrolledHandlers`, `HasShowContextMenuHandlers`, `HasVisibilityChangedHandlers`, `HasMembersChangedHandlers`

public class FilterClause extends HStack
A horizontal, Layout-based widget that allows a user to input a single criterion based on one field and one operator.

Note that FilterClauses must be used in conjunction with a `FilterBuilder`. By default the FilterBuilder will auto-generate its clauses based on specified criteria, but for advanced usage a FilterClause may be instantiated directly and passed to a filterBuilder via `FilterBuilder.addClause()`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

  `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

  `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

  ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

  `DEBUG_ID_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FilterClause()`
  `FilterClause(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `changeAutoChildDefaults(String autoChildName, Canvas defaults)`
  Changes the defaults for Canvas AutoChildren named `autoChildName`.
  `static void`
  `changeAutoChildDefaults(String autoChildName, FormItem defaults)`
  Changes the defaults for FormItem AutoChildren named `autoChildName`.
  `protected JavaScriptObject`
  `create()`
  `SearchForm`
  `getClause()`
  AutoChild containing the UI for the filter-properties in this FilterClause.
  `Criteria`
  `getCriterion()`
  Initial criterion for this FilterClause.
  `FormItem`
  `getFieldPickerProperties()`
  Properties to combine with the `FieldPicker` autoChild FormItem.
  `String`
  `getFieldPickerTitle()`
  The title for the `field-picker` select-item.
  `void`
  `getFilterBuilder()`
  Returns the `filterBuilder` containing this clause, or null if this filterClause is not embedded in a filterBuilder.
  `LogicalStructureObject`
  `getLogicalStructure()`
  Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `SelectItem`
  `getOperatorPicker()`
  AutoChild for the `FormItem` that allows a user to select the operator when creating filter clauses.
  `FormItem`
  `getOperatorPickerProperties()`
  Properties to combine with the `operatorPicker` autoChild FormItem.
  `String`
  `getOperatorPickerTitle()`
  The title for the operator-picker select-item.
  `static FilterClause`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `ImgButton`
  `getRemoveButton()`
  The clause removal ImgButton that appears before this clause if `showRemoveButton` is set.
  `String`
  `getRemoveButtonPrompt()`
  The hover prompt text for the remove button.
  `Boolean`
  `getShowFieldTitles()`
  If true (the default), show field titles in the drop-down box used to select a field for querying.
  `Boolean`
  `getShowRemoveButton()`
  If set, show a button for this clause allowing it to be removed.
  `Boolean`
  `getValidateOnChange()`
  If true (the default), validates the entered value when it changes, to make sure it is a a valid value of its type (valid string, number, and so on).
  `String`
  `getValueItemFieldHint()`
  A hint to show in the value-item when using an operator that allows users to select field-names from a list.
  `String`
  `getValueItemListHint()`
  A hint to show in the value-item when using an operator that allows users to select values from a list.
  `String`
  `getValueItemTextHint()`
  A hint to show in the value-item when using an operator that takes user-entered values.
  `String`
  `getValueItemTitle()`
  The title for the value-item.
  `ImgButton`
  `getValueQueryAggregateButton()`
  The ImgButton that appears after each clause if `FilterBuilder.allowAggregates` is set.
  `Integer`
  `getValueQueryButtonSize()`
  The size of the buttons in each clause that allow Value-query functionality, such as `related-field` and `aggregation` features, if they don't specify sizes.
  `Integer`
  `getValueQueryIconSize()`
  The size of the icons in the buttons in each clause that allow Value-query functionality, such as `related-field` and `aggregation` features, if they don't specify separate image-sizes.
  `ImgButton`
  `getValueQueryRelatedFieldButton()`
  The ImgButton that appears after each clause if `FilterBuilder.allowAggregates` is set.
  `String`
  `getValueSetHint()`
  A hint to show in the value-item when using an operator that takes an array of values.
  `void`
  `remove()`
  Remove this clause by destroy()ing it.
  `FilterClause`
  `setCriterion(Criteria criterion)`
  Initial criterion for this FilterClause.
  `static void`
  `setDefaultProperties(FilterClause filterClauseProperties)`
  Class level method to set the default properties of this class.
  `FilterClause`
  `setFieldPickerProperties(FormItem fieldPickerProperties)`
  Properties to combine with the `FieldPicker` autoChild FormItem.
  `FilterClause`
  `setFieldPickerTitle(String fieldPickerTitle)`
  The title for the `field-picker` select-item.
  `LogicalStructureObject`
  `setLogicalStructure(FilterClauseLogicalStructure s)`
  Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `FilterClause`
  `setOperatorPickerProperties(FormItem operatorPickerProperties)`
  Properties to combine with the `operatorPicker` autoChild FormItem.
  `FilterClause`
  `setOperatorPickerTitle(String operatorPickerTitle)`
  The title for the operator-picker select-item.
  `FilterClause`
  `setRemoveButtonPrompt(String removeButtonPrompt)`
  The hover prompt text for the remove button.
  `FilterClause`
  `setShowFieldTitles(Boolean showFieldTitles)`
  If true (the default), show field titles in the drop-down box used to select a field for querying.
  `FilterClause`
  `setShowRemoveButton(Boolean showRemoveButton)`
  If set, show a button for this clause allowing it to be removed.
  `FilterClause`
  `setValidateOnChange(Boolean validateOnChange)`
  If true (the default), validates the entered value when it changes, to make sure it is a a valid value of its type (valid string, number, and so on).
  `FilterClause`
  `setValueItemFieldHint(String valueItemFieldHint)`
  A hint to show in the value-item when using an operator that allows users to select field-names from a list.
  `FilterClause`
  `setValueItemListHint(String valueItemListHint)`
  A hint to show in the value-item when using an operator that allows users to select values from a list.
  `FilterClause`
  `setValueItemTextHint(String valueItemTextHint)`
  A hint to show in the value-item when using an operator that takes user-entered values.
  `FilterClause`
  `setValueItemTitle(String valueItemTitle)`
  The title for the value-item.
  `FilterClause`
  `setValueQueryButtonSize(Integer valueQueryButtonSize)`
  The size of the buttons in each clause that allow Value-query functionality, such as `related-field` and `aggregation` features, if they don't specify sizes.
  `FilterClause`
  `setValueQueryIconSize(Integer valueQueryIconSize)`
  The size of the icons in the buttons in each clause that allow Value-query functionality, such as `related-field` and `aggregation` features, if they don't specify separate image-sizes.
  `FilterClause`
  `setValueSetHint(String valueSetHint)`
  A hint to show in the value-item when using an operator that takes an array of values.
  `Boolean`
  `validate()`
  Validate this clause.

  ### Methods inherited from class com.smartgwt.client.widgets.layout.HStack

  `setDefaultProperties, setLogicalStructure`

  ### Methods inherited from class com.smartgwt.client.widgets.layout.Layout

  `addMember, addMember, addMember, addMember, addMemberPostCreate, addMemberPostCreate, addMemberPreCreate, addMemberPreCreate, addMembers, addMembers, addMembersChangedHandler, getAnimateMembers, getAnimateMemberTime, getCanDropComponents, getChildTabPosition, getDefaultResizeBars, getDropComponent, getDropLine, getDropLineThickness, getDropPosition, getEditProxyConstructor, getEnforcePolicy, getHPolicy, getLayoutBottomMargin, getLayoutEndMargin, getLayoutLeftMargin, getLayoutMargin, getLayoutRightMargin, getLayoutStartMargin, getLayoutTopMargin, getLeaveScrollbarGap, getLocateMembersBy, getLocateMembersType, getManagePercentBreadth, getMember, getMember, getMemberDefaultBreadth, getMemberNumber, getMemberNumber, getMemberOverlap, getMembers, getMembersAsStringArray, getMembersLength, getMembersMargin, getMinMemberLength, getMinMemberSize, getOverflow, getPaddingAsLayoutMargin, getResizeBar, getResizeBarClass, getResizeBarSize, getReverseOrder, getShowDragPlaceHolder, getShowDropLines, getStackZIndex, getVertical, getVPolicy, hasMember, hideDropLine, hideMember, hideMember, layoutIsDirty, onInit, onInit_Layout, reflow, reflow, reflowNow, removeMember, removeMembers, removeMembers, reorderMember, reorderMembers, replaceMember, revealChild, revealChild, setAlign, setAlign, setAnimateMembers, setAnimateMemberTime, setCanDropComponents, setDefaultLayoutAlign, setDefaultLayoutAlign, setDefaultProperties, setDefaultResizeBars, setDropLineProperties, setDropLineThickness, setEditProxyConstructor, setEnforcePolicy, setHPolicy, setLayoutBottomMargin, setLayoutEndMargin, setLayoutLeftMargin, setLayoutMargin, setLayoutRightMargin, setLayoutStartMargin, setLayoutTopMargin, setLeaveScrollbarGap, setLocateMembersBy, setLocateMembersType, setLogicalStructure, setManagePercentBreadth, setMemberOverlap, setMembers, setMembers, setMembersMargin, setMinBreadthMember, setMinBreadthMember, setMinBreadthMember, setMinMemberLength, setMinMemberSize, setOverflow, setPaddingAsLayoutMargin, setPlaceHolderDefaults, setPlaceHolderProperties, setResizeBarClass, setResizeBarSize, setReverseOrder, setShowDragPlaceHolder, setShowDropLines, setStackZIndex, setVertical, setVisibleMember, setVPolicy, showMember, showMember`

  ### Methods inherited from class com.smartgwt.client.widgets.Canvas

  `addChild, addChild, addChild, addChild, addChild, addClearHandler, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addRuleContextChangedHandler, addScrolledHandler, addShowContextMenuHandler, addSnapAlignCandidate, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clearExplicitTabIndex, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsEventTarget, containsFocus, containsPoint, containsPoint, contentsComponentConnected, dataContextChanged, dataContextCriteriaChanged, deparent, depeer, disable, doValueDictation, doVoiceCommand, enable, encloses, endBatchCreation, focus, focusAfterGroup, focusAtEnd, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAdaptiveHeightPriority, getAdaptiveWidthPriority, getAllCanvases, getAllCanvases, getAllCanvases, getAlwaysManageFocusNavigation, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideEffect, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeLayoutMode, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaHandleID, getAriaRole, getAriaStateDefaults, getAutoMaskComponents, getAutoParent, getAutoPopulateData, getAutoRevertStyles, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBorderRadius, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanAdaptHeight, getCanAdaptWidth, getCanDrag, getCanDragReposition, getCanDragResize, getCanDragScroll, getCanDrop, getCanDropBefore, getCanDropContent, getCanDropFiles, getCanFocus, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenAsStringArray, getChildrenResizeSnapAlign, getChildrenSnapAlign, getChildrenSnapCenterAlign, getChildrenSnapEdgeAlign, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContents, getContentsComponentDefaults, getContextMenu, getControlHeight, getCorrectZoomOverflow, getCursor, getDataContext, getDataContextCriteria, getDataContextCriteria, getDataPath, getDefaultHeight, getDefaultWidth, getDeferActionConversion, getDefiningProperty, getDefiningPropertyName, getDefiningPropertyNameOptions, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragMaxHeight, getDragMaxWidth, getDragMinHeight, getDragMinWidth, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragTargetAsString, getDragType, getDropTarget, getDropTargetAsString, getDropTypes, getDropTypesAsString, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getElement, getElement, getEnableWhen, getEndLine, getEventEdge, getEventEdge, getEvents, getExtraSpace, getFacetId, getFloatingScrollbars, getFormItemAutoChild, getForwardSVGeventsToObject, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupPadding, getGroupTitle, getHeight, getHeightAsString, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverAutoFitMaxWidth, getHoverAutoFitMaxWidthAsString, getHoverAutoFitWidth, getHoverComponent, getHoverDelay, getHoverFocusKey, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverPersist, getHoverScreen, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlElementAsString, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getIsPrinting, getIsRuleScope, getIsSnapAlignCandidate, getKeepInParentRect, getLayoutAlign, getLeaveGroupLabelSpace, getLeavePageSpace, getLeft, getLeftAsString, getLocalId, getLocateByIDOnly, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getLocatorName, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMatchElementHeight, getMatchElementWidth, getMaxHeight, getMaxWidth, getMaxZoomOverflowError, getMenuConstructor, getMinHeight, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getName, getNativeAutoHideScrollbars, getNextZIndex, getNoDoubleClicks, getNoDropCursor, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOpacity, getOuterElement, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getPaletteDefaults, getPanelContainer, getParentCanvas, getParentCanvasAsString, getParentElement, getParentElementAsString, getPeers, getPendingMarkerStyle, getPendingMarkerVisible, getPercentBox, getPercentSource, getPersistentMatchElement, getPointerSettings, getPointerTarget, getPointerTargetAsString, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrintStyleName, getPrompt, getProportionalResizeModifiers, getProportionalResizing, getReceiveScrollbarEvents, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getRuleContext, getRuleContext, getRuleScope, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowColor, getShadowDepth, getShadowHOffset, getShadowImage, getShadowOffset, getShadowSoftness, getShadowSpread, getShadowVOffset, getShareCriteria, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowEdges, getShowFocusOutline, getShowHover, getShowHoverComponents, getShowPointer, getShowResizeBar, getShowShadow, getShowSnapGrid, getShrinkElementOnHide, getSingleDiv, getSizeMayChangeOnRedraw, getSkinImgDir, getSnapAlignCandidates, getSnapAlignCenterLineStyle, getSnapAlignEdgeLineStyle, getSnapAxis, getSnapEdge, getSnapGridLineProperties, getSnapGridStyle, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapPosition, getSnapPosition, getSnapResizeToAlign, getSnapResizeToGrid, getSnapTo, getSnapToAlign, getSnapToCenterAlign, getSnapToEdgeAlign, getSnapToGrid, getSnapVDirection, getSnapVGap, getStartLine, getStyleName, getSuppressRedraw, getTabIndex, getTestDataContext, getTestInstance, getTitle, getTooltip, getTop, getTopAsString, getTopElement, getTopLevelComponents, getUpdateTabPositionOnDraw, getUpdateTabPositionOnReparent, getUseBackMask, getUseCSSShadow, getUseDataContextCriteria, getUseDragMask, getUseGeneratedStyles, getUseImageForSVG, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getValuesManager, getValuesManagerAsString, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWhen, getVisibleWidth, getVSnapPosition, getVSnapPosition, getWidth, getWidthAsString, getWorkflows, getZIndex, getZIndex, handleDataContextCriteria, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, initComplete, intersects, isDirty, isDisabled, isFocused, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, pageScrollDown, pageScrollUp, parentResized, placeNear, placeNear, placeNear, print, print, print, print, printComponents, provideRuleContext, provideRuleContext, redraw, redraw, registerAIService, registerFontScaledPaddingStyles, removeChild, removeChild, removePeer, removePeer, removeRuleContext, removeSnapAlignCandidate, resizeAutoChildAttributes, resizeBy, resizeControls, resizeControlsTo, resizeFonts, resizeFonts, resizeFonts, resizeFontsTo, resizeIcons, resizePadding, resizePadding, resizeTo, resizeTo, resolveContentsComponent, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAdaptHeightByCustomizer, setAdaptiveHeightPriority, setAdaptiveWidthPriority, setAdaptWidthByCustomizer, setAllowExternalFilters, setAlwaysManageFocusNavigation, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideEffect, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeLayoutMode, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoHeight, setAutoMaskComponents, setAutoParent, setAutoPopulateData, setAutoResizeAutoChildAttributes, setAutoResizeIcons, setAutoRevertStyles, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBorderRadius, setBottom, setCanAcceptDrop, setCanAdaptHeight, setCanAdaptWidth, setCanDrag, setCanDragReposition, setCanDragResize, setCanDragScroll, setCanDrop, setCanDropBefore, setCanDropContent, setCanDropFiles, setCanFocus, setCanHover, setCanSelectText, setChildren, setChildrenResizeSnapAlign, setChildrenSnapAlign, setChildrenSnapCenterAlign, setChildrenSnapEdgeAlign, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContents, setContentsComponentDefaults, setContextMenu, setCorrectZoomOverflow, setCursor, setDataContext, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataPath, setDefaultHeight, setDefaultNativeAutoHideScrollbars, setDefaultPageSpace, setDefaultProperties, setDefaultShowCustomScrollbars, setDefaultWidth, setDeferActionConversion, setDefiningProperty, setDefiningPropertyNameOptions, setDisabled, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragMaxHeight, setDragMaxWidth, setDragMinHeight, setDragMinWidth, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragTarget, setDragType, setDropTarget, setDropTarget, setDropTypes, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setElement, setEnableWhen, setEndLine, setExtraSpace, setFacetId, setFloatingScrollbars, setForwardSVGeventsToObject, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupPadding, setGroupTitle, setHeight, setHeight, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverAutoFitMaxWidth, setHoverAutoFitMaxWidth, setHoverAutoFitWidth, setHoverDelay, setHoverFocusKey, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverPersist, setHoverScreen, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setIsRuleScope, setIsSnapAlignCandidate, setKeepInParentRect, setKeepInParentRect, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeaveGroupLabelSpace, setLeavePageSpace, setLeft, setLeft, setLocateByIDOnly, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLocatorName, setLocatorParent, setLocatorParent, setLogicalStructure, setMargin, setMatchElement, setMatchElementHeight, setMatchElementWidth, setMaxHeight, setMaxWidth, setMaxZoomOverflowError, setMenuConstructor, setMinHeight, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setName, setNativeAutoHideScrollbars, setNeverUseFilters, setNoDoubleClicks, setNoDropCursor, setOpacity, setPadding, setPageLeft, setPageTop, setPanelContainer, setParentCanvas, setParentCanvas, setParentElement, setParentElement, setPeers, setPendingMarkerStyle, setPendingMarkerVisible, setPercentBox, setPercentSource, setPersistentMatchElement, setPointerSettings, setPointerTarget, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrintStyleName, setPrompt, setProportionalResizeModifiers, setProportionalResizing, setReceiveScrollbarEvents, setRect, setRect, setRedrawOnResize, setRelativeTabPosition, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setRuleScope, setScrollbarConstructor, setScrollbarSize, setShadowColor, setShadowDepth, setShadowHOffset, setShadowImage, setShadowOffset, setShadowSoftness, setShadowSpread, setShadowVOffset, setShareCriteria, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowEdges, setShowFocusOutline, setShowHover, setShowHoverComponents, setShowPointer, setShowResizeBar, setShowShadow, setShowSnapGrid, setShrinkElementOnHide, setSingleDiv, setSizeMayChangeOnRedraw, setSkinImgDir, setSmoothFade, setSnapAlignCandidates, setSnapAlignCenterLineStyle, setSnapAlignEdgeLineStyle, setSnapAxis, setSnapEdge, setSnapGridLineProperties, setSnapGridStyle, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToAlign, setSnapResizeToGrid, setSnapTo, setSnapToAlign, setSnapToCenterAlign, setSnapToEdgeAlign, setSnapToGrid, setSnapVDirection, setSnapVGap, setStartLine, setStyleName, setSuppressRedraw, setTabIndex, setTestDataContext, setTitle, setTooltip, setTop, setTop, setUpdateTabPositionOnDraw, setUpdateTabPositionOnReparent, setUseBackMask, setUseCSSShadow, setUseDataContextCriteria, setUseDragMask, setUseGeneratedStyles, setUseImageForSVG, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setValuesManager, setValuesManager, setVisibility, setVisible, setVisibleWhen, setWidth, setWidth, setWidth, setWidth100, setWorkflows, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPendingMarker, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, startBatchCreation, startDebuggingOverflow, stopDebuggingOverflow, subtractRects, supportsValueDictation, supportsVoiceCommands, unregisterAIService, updateChildTabPosition, updateChildTabPositions, updateEditNode, updateHover, updateHover, updateShadow, updateTabPositionForDraw, visibleAtPoint, willAcceptDrop`

  ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

  `addDrawHandler, addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, clearDynamicProperty, completeCreation, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAutoDraw, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hasDynamicProperty, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isDrawn, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoDraw, setConfig, setConfigOnly, setDefaultProperties, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

  ### Methods inherited from class com.google.gwt.user.client.ui.Widget

  `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

  ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

  `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Constructor Details

  - ### FilterClause

    public FilterClause()

  - ### FilterClause

    public FilterClause(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static FilterClause getOrCreateRef(JavaScriptObject jsObj)

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, Canvas defaults)
    Changes the defaults for Canvas AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, FormItem defaults)
    Changes the defaults for FormItem AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### create

    protected JavaScriptObject create()
    Overrides:
      `create` in class `HStack`

  - ### getClause

    public SearchForm getClause() throws IllegalStateException
    AutoChild containing the UI for the filter-properties in this FilterClause.

    This component is an AutoChild named "clause". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current clause value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### setCriterion

    public FilterClause setCriterion(Criteria criterion)
    Initial criterion for this FilterClause.

    When initialized with a criterion, the clause will be automatically set up for editing the supplied criterion.

    Note that an empty or partial criterion is allowed, for example, it may specify `Criterion.fieldName` only and will generate an expression with the operator not chosen.

    Parameters:
      `criterion` - New criterion value. Default value is null
    Returns:
      `FilterClause` instance, for chaining setter calls

  - ### getCriterion

    public Criteria getCriterion()
    Initial criterion for this FilterClause.

    When initialized with a criterion, the clause will be automatically set up for editing the supplied criterion.

    Note that an empty or partial criterion is allowed, for example, it may specify `Criterion.fieldName` only and will generate an expression with the operator not chosen.

    Returns:
      Return the criterion specified by this FilterClause. Default value is null

  - ### setFieldPickerProperties

    public FilterClause setFieldPickerProperties(FormItem fieldPickerProperties) throws IllegalStateException
    Properties to combine with the `FieldPicker` autoChild FormItem.
    Parameters:
      `fieldPickerProperties` - New fieldPickerProperties value. Default value is null
    Returns:
      `FilterClause` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getFieldPickerProperties

    public FormItem getFieldPickerProperties()
    Properties to combine with the `FieldPicker` autoChild FormItem.
    Returns:
      Current fieldPickerProperties value. Default value is null

  - ### setFieldPickerTitle

    public FilterClause setFieldPickerTitle(String fieldPickerTitle) throws IllegalStateException
    The title for the `field-picker` select-item.
    Parameters:
      `fieldPickerTitle` - New fieldPickerTitle value. Default value is "Field Name"
    Returns:
      `FilterClause` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getFieldPickerTitle

    public String getFieldPickerTitle()
    The title for the `field-picker` select-item.
    Returns:
      Current fieldPickerTitle value. Default value is "Field Name"

  - ### getOperatorPicker

    public SelectItem getOperatorPicker() throws IllegalStateException
    AutoChild for the `FormItem` that allows a user to select the operator when creating filter clauses. Each clause will create an operatorPicker automatically. To customize this item, use `operatorPickerProperties`

    This component is an AutoChild named "operatorPicker". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current operatorPicker value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### setOperatorPickerProperties

    public FilterClause setOperatorPickerProperties(FormItem operatorPickerProperties) throws IllegalStateException
    Properties to combine with the `operatorPicker` autoChild FormItem.
    Parameters:
      `operatorPickerProperties` - New operatorPickerProperties value. Default value is null
    Returns:
      `FilterClause` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getOperatorPickerProperties

    public FormItem getOperatorPickerProperties()
    Properties to combine with the `operatorPicker` autoChild FormItem.
    Returns:
      Current operatorPickerProperties value. Default value is null

  - ### setOperatorPickerTitle

    public FilterClause setOperatorPickerTitle(String operatorPickerTitle) throws IllegalStateException
    The title for the operator-picker select-item.
    Parameters:
      `operatorPickerTitle` - New operatorPickerTitle value. Default value is "Operator"
    Returns:
      `FilterClause` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getOperatorPickerTitle

    public String getOperatorPickerTitle()
    The title for the operator-picker select-item.
    Returns:
      Current operatorPickerTitle value. Default value is "Operator"

  - ### getRemoveButton

    public ImgButton getRemoveButton() throws IllegalStateException
    The clause removal ImgButton that appears before this clause if `showRemoveButton` is set.

    This component is an AutoChild named "removeButton". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current removeButton value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### setRemoveButtonPrompt

    public FilterClause setRemoveButtonPrompt(String removeButtonPrompt) throws IllegalStateException
    The hover prompt text for the remove button.
    Parameters:
      `removeButtonPrompt` - New removeButtonPrompt value. Default value is "Remove"
    Returns:
      `FilterClause` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getRemoveButtonPrompt

    public String getRemoveButtonPrompt()
    The hover prompt text for the remove button.
    Returns:
      Current removeButtonPrompt value. Default value is "Remove"

  - ### setShowFieldTitles

    public FilterClause setShowFieldTitles(Boolean showFieldTitles) throws IllegalStateException
    If true (the default), show field titles in the drop-down box used to select a field for querying. If false, show actual field names instead.
    Parameters:
      `showFieldTitles` - New showFieldTitles value. Default value is true
    Returns:
      `FilterClause` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getShowFieldTitles

    public Boolean getShowFieldTitles()
    If true (the default), show field titles in the drop-down box used to select a field for querying. If false, show actual field names instead.
    Returns:
      Current showFieldTitles value. Default value is true

  - ### setShowRemoveButton

    public FilterClause setShowRemoveButton(Boolean showRemoveButton) throws IllegalStateException
    If set, show a button for this clause allowing it to be removed.
    Parameters:
      `showRemoveButton` - New showRemoveButton value. Default value is true
    Returns:
      `FilterClause` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getShowRemoveButton

    public Boolean getShowRemoveButton()
    If set, show a button for this clause allowing it to be removed.
    Returns:
      Current showRemoveButton value. Default value is true

  - ### setValidateOnChange

    public FilterClause setValidateOnChange(Boolean validateOnChange) throws IllegalStateException
    If true (the default), validates the entered value when it changes, to make sure it is a a valid value of its type (valid string, number, and so on). No other validation is carried out. If you switch this property off, it is still possible to validate the `FilterClause` by calling `validate()` from your own code.
    Parameters:
      `validateOnChange` - New validateOnChange value. Default value is true
    Returns:
      `FilterClause` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getValidateOnChange

    public Boolean getValidateOnChange()
    If true (the default), validates the entered value when it changes, to make sure it is a a valid value of its type (valid string, number, and so on). No other validation is carried out. If you switch this property off, it is still possible to validate the `FilterClause` by calling `validate()` from your own code.
    Returns:
      Current validateOnChange value. Default value is true

  - ### setValueItemFieldHint

    public FilterClause setValueItemFieldHint(String valueItemFieldHint) throws IllegalStateException
    A hint to show in the value-item when using an operator that allows users to select field-names from a list.
    Parameters:
      `valueItemFieldHint` - New valueItemFieldHint value. Default value is "Select a field"
    Returns:
      `FilterClause` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getValueItemFieldHint

    public String getValueItemFieldHint()
    A hint to show in the value-item when using an operator that allows users to select field-names from a list.
    Returns:
      Current valueItemFieldHint value. Default value is "Select a field"

  - ### setValueItemListHint

    public FilterClause setValueItemListHint(String valueItemListHint) throws IllegalStateException
    A hint to show in the value-item when using an operator that allows users to select values from a list.
    Parameters:
      `valueItemListHint` - New valueItemListHint value. Default value is "Select a value"
    Returns:
      `FilterClause` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getValueItemListHint

    public String getValueItemListHint()
    A hint to show in the value-item when using an operator that allows users to select values from a list.
    Returns:
      Current valueItemListHint value. Default value is "Select a value"

  - ### setValueItemTextHint

    public FilterClause setValueItemTextHint(String valueItemTextHint) throws IllegalStateException
    A hint to show in the value-item when using an operator that takes user-entered values.
    Parameters:
      `valueItemTextHint` - New valueItemTextHint value. Default value is "Enter a value"
    Returns:
      `FilterClause` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getValueItemTextHint

    public String getValueItemTextHint()
    A hint to show in the value-item when using an operator that takes user-entered values.
    Returns:
      Current valueItemTextHint value. Default value is "Enter a value"

  - ### setValueItemTitle

    public FilterClause setValueItemTitle(String valueItemTitle) throws IllegalStateException
    The title for the value-item.
    Parameters:
      `valueItemTitle` - New valueItemTitle value. Default value is "Value"
    Returns:
      `FilterClause` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getValueItemTitle

    public String getValueItemTitle()
    The title for the value-item.
    Returns:
      Current valueItemTitle value. Default value is "Value"

  - ### getValueQueryAggregateButton

    public ImgButton getValueQueryAggregateButton() throws IllegalStateException
    The ImgButton that appears after each clause if `FilterBuilder.allowAggregates` is set.

    This component is an AutoChild named "valueQueryAggregateButton". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current valueQueryAggregateButton value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### setValueQueryButtonSize

    public FilterClause setValueQueryButtonSize(Integer valueQueryButtonSize) throws IllegalStateException
    The size of the buttons in each clause that allow Value-query functionality, such as `related-field` and `aggregation` features, if they don't specify sizes.
    Parameters:
      `valueQueryButtonSize` - New valueQueryButtonSize value. Default value is 18
    Returns:
      `FilterClause` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getValueQueryButtonSize

    public Integer getValueQueryButtonSize()
    The size of the buttons in each clause that allow Value-query functionality, such as `related-field` and `aggregation` features, if they don't specify sizes.
    Returns:
      Current valueQueryButtonSize value. Default value is 18

  - ### setValueQueryIconSize

    public FilterClause setValueQueryIconSize(Integer valueQueryIconSize) throws IllegalStateException
    The size of the icons in the buttons in each clause that allow Value-query functionality, such as `related-field` and `aggregation` features, if they don't specify separate image-sizes.
    Parameters:
      `valueQueryIconSize` - New valueQueryIconSize value. Default value is 18
    Returns:
      `FilterClause` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getValueQueryIconSize

    public Integer getValueQueryIconSize()
    The size of the icons in the buttons in each clause that allow Value-query functionality, such as `related-field` and `aggregation` features, if they don't specify separate image-sizes.
    Returns:
      Current valueQueryIconSize value. Default value is 18

  - ### getValueQueryRelatedFieldButton

    public ImgButton getValueQueryRelatedFieldButton() throws IllegalStateException
    The ImgButton that appears after each clause if `FilterBuilder.allowAggregates` is set.

    This component is an AutoChild named "valueQueryRelatedFieldButton". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current valueQueryRelatedFieldButton value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### setValueSetHint

    public FilterClause setValueSetHint(String valueSetHint) throws IllegalStateException
    A hint to show in the value-item when using an operator that takes an array of values.
    Parameters:
      `valueSetHint` - New valueSetHint value. Default value is "Comma-separated values"
    Returns:
      `FilterClause` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getValueSetHint

    public String getValueSetHint()
    A hint to show in the value-item when using an operator that takes an array of values.
    Returns:
      Current valueSetHint value. Default value is "Comma-separated values"

  - ### getFilterBuilder

    public void getFilterBuilder()
    Returns the `filterBuilder` containing this clause, or null if this filterClause is not embedded in a filterBuilder.

  - ### remove

    public void remove()
    Remove this clause by destroy()ing it.

  - ### validate

    public Boolean validate()
    Validate this clause.
    Returns:
      true if if the clause is valid, false otherwise

  - ### setDefaultProperties

    public static void setDefaultProperties(FilterClause filterClauseProperties)
    Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

    Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

    Parameters:
      `filterClauseProperties` - properties that should be used as new defaults when instances of this class are created
    See Also:
      - `SGWTProperties`

  - ### setLogicalStructure

    public LogicalStructureObject setLogicalStructure(FilterClauseLogicalStructure s)
    Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

  - ### getLogicalStructure

    public LogicalStructureObject getLogicalStructure()
    Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    Specified by:
      `getLogicalStructure` in interface `LogicalStructure`
    Overrides:
      `getLogicalStructure` in class `HStack`